# Generated automatically from Makefile.in by configure.
# Copyright (C) 2001  MandrakeSoft S.A.
#
#   MandrakeSoft S.A.
#   43, rue d'Aboukir
#   75002 Paris - France
#   http://www.linux-mandrake.com/
#   http://www.mandrakesoft.com/
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
#
####################################################
# NOTE: To be compatibile with nmake (microsoft vc++) please follow
# the following rules:
#   use $(VAR) not ${VAR}

VERSION=1.2
VER_STRING=1.2
REL_STRING=June 3, 2001
PREFIX=/usr/local/bochs
MANPATH=/usr/man
MAN_PAGE_LIST=bochs bochsrc bximage bochs-dlx
BINPATH=/usr/local/bin
INSTALL_LIST=bios/BIOS-* CHANGES COPYING README bios/VGABIOS* bochs bximage
INSTALL_LIST_SED=DOC-linux.html
BOCHS_SCRIPTS=bochs-dlx bochs-docs
CP=copy
CAT=type
RM=delete
MV=rename
LN_S=set file/enter=
DLXLINUX_TAR=dlxlinux2.tar.gz
DLXLINUX_TAR_URL=http://bochs.sourceforge.net/guestos/$(DLXLINUX_TAR)
DLXLINUX_ROMFILE=BIOS-bochs-latest
GUNZIP=gunzip
WGET=wget
SED=gsed
SOURCES=/usr/src/redhat/SOURCES
SPECS=/usr/src/redhat/SPECS
RPMS=/usr/src/redhat/RPMS
SRPMS=/usr/src/redhat/SRPMS
MKDIR=create/dir 
RMDIR=delete/dir
TAR=tar
RPM=rpm
CHMOD=set file/prot=
CHOWN=set file/owner=

.SUFFIXES : .cc

FPU_LIB = [.fpu]libfpu.olb

NONINLINE_OBJS = \
	main.obj,\
	load32bitOShack.obj,\
	state_file.obj,\
	logio.obj,\
	pc_system.obj,\
	osdep.obj

EXTERN_ENVIRONMENT_OBJS = \
	main.obj,\
	load32bitOShack.obj,\
	logio.obj,\
	state_file.obj,\
	pc_system.obj

BX_OBJS = $(NONINLINE_OBJS)

BX_INCLUDES = bochs.h config.h osdep.h

INCLDIR = /incl=([],[.instrument.stubs])

MDEFINES=/macro=("INCLDIR=$(INCLDIR)")

.first
	define debug [-.debug],[.debug]
	define cpu [-.cpu],[.cpu]
	define gui [-.gui],[.gui]
	define iodev [-.iodev],[.iodev]
	define memory [-.memory],[.memory]
	define asm [-.fpu.stubs.asm],[.fpu.stubs.asm]
	define linux [-.fpu.stubs.linux],[.fpu.stubs.linux]

.cc.obj :
	$(CXX) $(CXXFLAGS) $(INCLDIR) $(MMS$TARGET_NAME).cc
.c.obj :
	$(CC) $(CFLAGS) $(INCLDIR) $(MMS$TARGET_NAME)


all : config.h bxversion.h bochs.exe bximage.exe

config.h : config.h_vms
	copy config.h_vms config.h

bxversion.h : bxversion.h_vms
	copy bxversion.h_vms bxversion.h

bochs.exe : [.iodev]libiodev.olb \
	[.cpu]libcpu.olb [.memory]libmemory.olb [.gui]libgui.olb \
              $(BX_OBJS) \
           $(SIMX86_OBJS) \
           $(FPU_LIB)
	cxxlink/exec=bochs.exe $(BX_OBJS),\
		[.iodev]libiodev.olb/lib,\
		[.cpu]libcpu.olb/lib,[.memory]libmemory.olb/lib,\
		[.gui]libgui.olb/lib,[.fpu]libfpu.olb/lib,\
		[]link.opt/opt

bximage : misc/bximage.o
	$(CXX) -o $@ $(CXXFLAGS) misc/bximage.o

$(BX_OBJS) : $(BX_INCLUDES)

[.iodev]libiodev.olb :
	set def [.iodev]
	$(MMS)$(MDEFINES) libiodev.olb
	write sys$output "created libiodev.olb"
	set def [-]

debug/libdebug.a :
	cd debug && \
	$(MAKE) $(MDEFINES) libdebug.a
	echo done

[.cpu]libcpu.olb :
	set def [.cpu]
	$(MMS)$(MDEFINES) libcpu.olb
	write sys$output "created libcpu.olb"
	set def [-]

[.memory]libmemory.olb :
	set def [.memory]
	$(MMS)$(MDEFINES) libmemory.olb
	write sys$output "created libmemory.olb"
	set def [-]

[.gui]libgui.olb :
	set def [.gui]
	$(MMS)$(MDEFINES) libgui.olb
	write sys$output "created libgui.olb"
	set def [-]

disasm/libdisasm.a :
	cd disasm && \
	$(MAKE) $(MDEFINES) libdisasm.a
	echo done

dynamic/libdynamic.a :
	cd dynamic && \
	$(MAKE) $(MDEFINES) libdynamic.a
	echo done

instrument/stubs/libinstrument.a :
	cd instrument/stubs && \
	$(MAKE) $(MDEFINES) libinstrument.a
	echo done

[.fpu]libfpu.olb :
	set def [.fpu]
	$(MMS)$(MDEFINES) libfpu.olb
	write sys$output "created libfpu.olb"
	set def [-]

libbochs.a :
	-rm -f libbochs.a
	ar rv libbochs.a $(EXTERN_ENVIRONMENT_OBJS)
	$(RANLIB) libbochs.a

libbochs_cpu.a :  $(BX_OBJS)
	-rm -f libbochs_cpu.a
	ar rv libbochs_cpu.a $(BX_OBJS)
	$(RANLIB) libbochs_cpu.a

