# Generated automatically from Makefile.in by configure.
# Copyright (C) 2001  MandrakeSoft S.A.
#
#   MandrakeSoft S.A.
#   43, rue d'Aboukir
#   75002 Paris - France
#   http://www.linux-mandrake.com/
#   http://www.mandrakesoft.com/
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

.SUFFIXES : .cc

PARANOID = -DPARANOID

L_TARGET = libfpu.a

BX_INCDIRS = /include=([-],[-.instrument.stubs],[],[.stubs])

FPU_FLAGS = /list/show=all/define=("USE_WITH_CPU_SIM=1","PARANOID=1","NO_ASSEMBLER=1")

FPU_GLUE_OBJ = wmFPUemu_glue.obj

# From 'C' language sources:
C_OBJS = fpu_entry.obj,errors.obj,reg_ld_str.obj,load_store.obj,\
	fpu_arith.obj,fpu_aux.obj,fpu_etc.obj,fpu_tags.obj,fpu_trig.obj,\
	poly_atan.obj,poly_l2.obj,poly_2xm1.obj,poly_sin.obj,poly_tan.obj,\
	reg_add_sub.obj,reg_compare.obj,reg_constant.obj,reg_convert.obj,\
	reg_divide.obj,reg_mul.obj

# From 80x86 assembler sources:
A_OBJS =reg_u_add.obj,reg_u_div.obj,reg_u_mul.obj,reg_u_sub.obj,\
	div_small.obj,reg_norm.obj,reg_round.obj,\
	wm_shrx.obj,wm_sqrt.obj,\
	div_Xsig.obj,polynom_Xsig.obj,round_Xsig.obj,\
	shr_Xsig.obj,mul_Xsig.obj

L_OBJS = $(C_OBJS),$(A_OBJS)

OBJS = $(L_OBJS),\
	wmFPUemu_glue.obj,\
	fpu.obj


BX_INCLUDES = [-]bochs.h [-]config.h


.cc.obj :
	$(CXX) $(CXXFLAGS) $(FPU_FLAGS) $(BX_INCDIRS)/list/show=all $(MMS$TARGET_NAME).cc

.c.obj :
	$(CC) $(CXXFLAGS) $(FPU_FLAGS) $(BX_INCDIRS) $(MMS$TARGET_NAME)


libfpu.olb : $(OBJS)
	library/create libfpu.olb $(OBJS)

$(OBJS) : $(BX_INCLUDES)

clean :
	delete *.obj;*,*.olb;*
