# Generated automatically from Makefile.in by configure.
# Copyright (C) 2001  MandrakeSoft S.A.
#
#   MandrakeSoft S.A.
#   43, rue d'Aboukir
#   75002 Paris - France
#   http://www.linux-mandrake.com/
#   http://www.mandrakesoft.com/
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

# Makefile for the gui component of bochs

.SUFFIXES : .cc

LDFLAGS = 
LIBS = 
RANLIB = lib/compress

GUI_OBJS_X11  = x.obj
GUI_OBJS_BEOS = beos.obj
GUI_OBJS_WIN32 = win32.obj
GUI_OBJS_MACOS = macintosh.obj
GUI_OBJS_NOGUI = nogui.obj
GUI_OBJS_TERM  = term.obj
GUI_OBJS_RFB = rfb.obj
GUI_OBJS = control.obj,gui.obj,siminterface.obj,keymap.obj,$(GUI_OBJS_X11)

BX_INCDIRS = /include=([-],[-.iodev],[-.instrument.stubs])
LOCAL_CXXFLAGS =

#
# -------- end configurable options --------------------------
#

BX_GUI_OBJS = $(GUI_OBJS)


BX_INCLUDES = iodev.h

.cc.obj :
	$(CXX) $(CXXFLAGS) $(LOCAL_CXXFLAGS) $(BX_INCDIRS) $(MMS$TARGET_NAME).cc

libgui.olb : $(BX_GUI_OBJS)
	library/create libgui.olb $(BX_GUI_OBJS)

beos.obj : beos.cc gui.h

x.obj : x.cc gui.h

rfb.obj : rfb.cc rfb.h rfbproto.h

keymap.obj : keymap.cc keymap.h

clean :
	delete *.obj;*,*.olb;*
