# Generated automatically from Makefile.in by configure.
# Copyright (C) 2001  MandrakeSoft S.A.
#
#   MandrakeSoft S.A.
#   43, rue d'Aboukir
#   75002 Paris - France
#   http://www.linux-mandrake.com/
#   http://www.mandrakesoft.com/
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

# Makefile for the iodev component of bochs


.SUFFIXES : .cc

LDFLAGS = 
LIBS = 
RANLIB = lib/compress

VIDEO_OBJS_VGA = vga.obj
VIDEO_OBJS_HGA = hga.obj
VIDEO_OBJS = $(VIDEO_OBJS_VGA)
IOAPIC_OBJS = 

BX_INCDIRS = /include=([-],[-.instrument.stubs])

LOCAL_CXXFLAGS = $(MCH_CFLAGS)

SB16_DUMMY_OBJS = sb16.obj
SB16_LINUX_OBJS = sb16.obj,soundlnx.obj
SB16_WIN_OBJS   = sb16.obj,soundwin.obj



BX_HW_IODEV_OBJS = \
  devices.obj,\
  pic.obj,\
  pit.obj,\
  unmapped.obj,\
  biosdev.obj,\
  cmos.obj,\
  dma.obj,\
  floppy.obj,\
  harddrv.obj,\
  keyboard.obj,\
  parallel.obj,\
  serial.obj,\
  $(VIDEO_OBJS),\
  $(MCH_OBJS) \
  $(IOAPIC_OBJS) \
  cdrom.obj,\
  scancodes.obj

BX_IODEV_OBJS = $(BX_HW_IODEV_OBJS)

BX_OBJS     = $(BX_IODEV_OBJS)

BX_INCLUDES = iodev.h

.cc.obj :
	$(CXX) $(CXXFLAGS) $(LOCAL_CXXFLAGS) $(BX_INCDIRS) $(MMS$TARGET_NAME).cc

libiodev.olb : $(BX_OBJS)
	library/create libiodev.olb $(BX_IODEV_OBJS)

$(BX_OBJS) : $(BX_INCLUDES)

clean :
	delete *.obj;*,*.obj;*
